> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Rotation



## OpenAPI

````yaml POST /api/v1/on-call/schedules/{scheduleId}/rotations
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/on-call/schedules/{scheduleId}/rotations:
    post:
      tags:
        - on-call
      summary: Create a rotation for a schedule
      operationId: RotationController_create_v1
      parameters:
        - name: scheduleId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRotationDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    CreateRotationDto:
      type: object
      properties:
        name:
          type: string
        color:
          type: string
        type:
          type: string
          enum:
            - daily
            - weekly
            - custom
        intervalDays:
          type: number
        handoffTime:
          type: string
        activeDays:
          type: array
          items:
            type: number
        startDate:
          type: string
          format: date-time
        timezone:
          type: string
      required:
        - name
        - startDate
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````